%define name gfontview
%define release 1mdk
%define version 0.4.1

Summary: A font viewer for Type 1 and TrueType fonts.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Publishing
Source: %{name}-%{version}.tar.bz2
URL: http://www.geocities.com/SiliconValley/Foothills/1458/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: gtk+ >= 1.2, t1lib >= 0.8, freetype >= 1.2

%description
This is an ALPHA preliminary release.
gfontview is a Font Viewer for outline fonts (PostScript Type 1 and TrueType). 
It will display all fonts present in the chosen directory in a list,
with a preview of the font also present in the main window.

%prep

%setup

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gfontview"\
title="Gfontview"\
longtitle="font browser"\
needs="x11"\
section="Office"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}                                                                                                    

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/*
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/*
%{_libdir}/menu/*


%changelog
* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- BM
- macros
- menu

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- group fix
- bzip2 archive

* Fri Dec 17 1999 Lenny Cartier <lenny@mandrakesoft.com>
- add defattr
- new in contribs

